+======================================+
   Discuz! X2.5 20171001
+======================================+
修复自发布以来积累的安全和使用问题

+======================================+
   Discuz! X2.5 20141225
+======================================+
修复自发布以来积累的安全和使用问题

+======================================+
   Discuz! X2.5 正式版 20140603
+======================================+
修复已知的安全问题
新增对微信插件的支持

+======================================+
   Discuz! X2.5 正式版 20130222
+======================================+
FIX 由于部分变量过滤不严导致的XSS问题
FIX 管理员在版块前台管理面板中更新推荐主题时，原主题推荐者ID被修改为管理员ID的问题(14039)
FIX soso表情更换新域名

+======================================+
   Discuz! X2.5 正式版 20130201
+======================================+
ADD wpa接口调整
FIX 登录+验证码+浮窗 逻辑细节
FIX 日志记录读取缓存过小，导致防重复失败
ADD 增加wap注册的验证码复杂度
FIX 接口安全信息过滤

FIX 远程附件无法使用SSL安全链接 BUG
FIX 修复评分刷分的一个bug
FIX 设置帖子隐藏内容 同步到QQ空间后，隐藏内容直接显示过滤掉了
FIX 修正广播中展示了回帖仅作者可见
FIX wpa体验调整，带uin参数

FIX 应用中心客户端升级， 兼容组件
FIX 应用中心客户端升级， 兼容组件
FIX 禁止回复匿名留言
FIX 修正IE6下选择版块出错的BUG

FIX 修正自定义IMGDIR后造成IE下不可用的BUG
FIX 修复 在$_GET['do']为空时无法装扮个人空间的问题(13998)
FIX 修正配置二级域名造成日志、相册在主导航的跳转BUG
FIX DIY会员模块，个人居住地、出生地信息无法调出(13970)

FIX 通用户点击加入群组后，未经过审核 便可直接发帖
FIX DIY商品模块显示重复数据的问题
FIX 文章查看页用户的编辑和删除的权限判断不正确的问题，由于变量不统一导致的
FIX 禁言用户的时候勾选清空 评论和留言 无效
FIX 隐藏标签过滤

FIX 互联showmessage的时候不再显示登录按钮
FIX 加强DIY模块模板解析时对特殊字符
FIX 添加自己的主题到自己淘专辑不提醒
FIX 修复 DIY模块属性设置中复选框值无法取消的问题
FIX 词语过滤使用搜索时，分页无效

FIX 门户文章发布时 全屏编辑器,上传图片等窗口被遮挡的问题
FIX 修复门户文章删除时因主键不对应导致误删除的问题
FIX 完善资料功能bug
FIX 更新缓存时置顶帖子获取条件不正确
FIX 阅读权限的设置问题

FIX 淘帖列表分页排序
FIX 互联修改为Oauth1.0a协议
FIX 自定义用户组无权下载附件提示页面，显示用户组错误。 
FIX 发帖如果没有输入验证码，点提交后，附件列表的弹窗的内容会不见的问题

FIX 纵横搜索“仅作者可见”和“论坛升级未开启系统插件”
FIX 阅读权限255时显示问题
FIX 抢楼贴没设置截止楼层时发生逻辑错误
FIX 群组后台管理权限

FIX 远程附件无法删除的问题
FIX 删除字段时进行字段是否存在的检查，确保不出现异常错误
FIX 增加判断，防止因数据异常出错
FIX 悔悟卡小图标引用错误

FIX 排行榜功能，美女和帅哥不显示名称
FIX 增加获取图片缩略图接口
FIX 修正开启通过邮件发送注册地址时激活用户失败的BUG
FIX 审核不显示主题标题的问题
FIX 日志的分享次数不增加的问题

+======================================+
   Discuz! X2.5 正式版 20121101
+======================================+
FIX DIY模块模板中order=odd同一个模板中无法多次使用的问题
FIX dz_newpic接口增加一张图片地址数据
FIX 插件本地更新时提示有新版
FIX 日志发表审核通过后+积分，再次编辑，再次审核时还加
FIX 按热度排序

FIX 禁止WAP时的列表缓存
FIX 广播回复产生提醒
FIX 修正版主移除悬赏造成的积分扣减BUG
FIX 审核留言提示问题
FIX 帖子图片有浮动信息层自动聚集导致页面自动滚动到顶部的问题

FIX 加密版块主题出现在首页查看新贴里
FIX 清理用户时删除广播
FIX 删除主题时清理对应Tags失败
FIX 修正没有发特殊帖子用户不能修改回帖的BUG
FIX 群JS，增加版本号，避免浏览器缓存

FIX 手机客户端增加 最新回复的主题 最新图片的主题 精华贴的主题
FIX 修复缩略图生成bug
FIX 关闭在线时间统计功能后 管理工作统计显示错误
FIX 修正搜索接口可能的帖子空洞造成获取数据失败问题
FIX 不同模板DIY应用本页时页面将调用默认模板的问题

FIX 部分程序报错信息显示不完整的问题
FIX 修正批量删除用户审核信息的BUG
FIX 多次连续合并同个帖子时发生错误
FIX 防止与jQuery原生方法冲突
FIX 短消息导出成html后乱码

FIX 公共消息删除无效
FIX DIY模块生成缩略图时重复插入记录的问题
FIX 频道栏目设置目录时在ie浏览器下diy操作颜色面板出现404错误
FIX 修复会员数：删除互联游客表记录以后再次更新会员数缓存
FIX 使用道具时导致错位问题

+======================================+
   Discuz! X2.5 正式版 20120901
+======================================+

感谢“知道创宇（www.knownsec.com）”为本次修正提出安全建议

FIX  分类信息模板设置tab在IE6下切换BUG
FIX DIY调用分类信息模板的问题
FIX  侧边栏没有对绑定名处理的BUG
FIX 专题评论不显示分页的问题
FIX 超大float类型数据进行intval后变为负数的问题

FIX DIY模块推送数据时默认日期格式使用问题
FIX cron_publish_halfhourly.php文件引入文件时使用相对路径导致的问题
FIX 纵横搜索完成跳转时同步勾选帖子搜索选项
FIX subtemplate模板语法导致出现XML问题
FIX  短消息上报兼容没有 openid 的用户

FIX 发投票帖前出现%号，会导致数据库报错
FIX  可能导致远程附件丢失的问题
FIX  13392 关于后台登陆页的meta与title顺序问题
ADD 增加内存级缓存类型wincache(IIS+ PHP fastCGI)的支持
FIX  回帖仅作者可见的帖子返回message设置为类似“该帖仅作者可见”的内容

FIX  关于清除用户时无法清除点评数据缓存的问题
FIX  关于允许游客评论日志之后，后台审核删除日志评论的问题
FIX  修正日志添加链接光标定位错误的BUG
FIX  修改过滤标签规则（修复显示[hide]标签内容问题）
FIX  IE下ajaxget请求发送http头的referer值不正确的问题

ADD 增加Ajax回复时通过viewthread_postbottom嵌入点输出同步url
FIX  修复分享到微博时分享内容为空的js报错问题
FIX  修正开通纵横搜索后，在全局中操作搜索设置时把帖子给关闭的BUG
FIX  增强图片格式验证
FIX  解决验证码不刷新的问题，以及弹出之个层的之间验证码冲突的问题

FIX  没有新主题或者回复，版块图标却显示有新帖状态标记
FIX  底层修改引起的认证提交后没有显示的BUG
FIX  用户组跳转和过期页积分显示问题
FIX  群组成员搜索错误
FIX  在内存缓存和文件缓存同时开启时优先使用内存缓存

FIX  后台开启“启用登录密码加密”后，前台登录页面报错
FIX  专题在自有定义页面链接颜色时框架标题颜色失效的问题
FIX  版块自定义附件类型造成上传不识别的BUG
FIX  发广播后验证码没有刷新
FIX  底层修改引起的认证提交后没有显示的BUG

FIX  修正目前已知的安全问题和隐患

+======================================+
   Discuz! X2.5 正式版 20120601
+======================================+

FIX  修改 JS响应的事件
FIX  QQ群：缩小url长度
FIX  群组二级域名设置为空值时没有清空缓存表数据
ADD 添加个人空间域名最大长度为15的说明 
ADD 处理分类信息添加分类信息标题

FIX  处理分类信息为array格式
FIX  用户组、版块的插件变量设置修复
ADD 增加手机客户端白名单版本号兼容程序
FIX  修正文章及日志里斜体字失效的问题
FIX  x2.5分支对forumnav的管理员主题分类的过滤

FIX  中文无法注册的字符集问题
FIX  x2.5分支对看帖分类信息的兼容
FIX  设置script标签src中返回内容的ContentType为text/javascript
FIX  关联链接 PHP模式下兼容<script 标签
FIX  回复点评只显示1条

FIX  注册服务条款显示格式问题
FIX  主题查看数在开启缓存帖子时不定期自动重置为1的问题
FIX  关闭积分奖励时不显示提示
FIX  修正其他配色的快速发帖按钮问题
FIX  同库多论坛兼容性

FIX  语言包代码错误
FIX  分类信息编辑时选择框不显示问题
FIX  前台管理中已经审核通过文章，后台还是提示审核的问题
FIX  FIX 没有选择频道发布文章时附件上传提示上传失败的问题
FIX  修正支付宝切换时，修改获取PID参数

FIX  分类信息主题 数值型不能显示0
FIX  修复QQ互联暴露匿名帖用户信息的问题
FIX  关于回帖后再次编辑出现回复标签不解析问题
FIX  FIX  IE6 下自适应宽度的侧边问题
FIX  DIY 某些情况下调取置顶帖或精华帖子失效的问题

FIX  修正DB改造成引统计错误
FIX  修正面包屑导航链接错误的BUG
FIX  帖子阅读权限修改问题
FIX  后台审核删除帖子回收站里搜索不到
FIX  专题模块可使用字段说明文字错误

FIX  移动帖子时选择保留转向,手机版访问时出错 FIX 
FIX  处理由存档表之类引起的数据不准造成分页可能存在问题的兼容处理
FIX  关于专题评论后的伪静态链接错误问题。

+======================================+
   Discuz! X2.5 正式版 20120601
+======================================+

FIX  远程附件存储失败问题
FIX  上报当前用户的用户组信息
FIX  即时删除图片处理功能中生成的临时文件
FIX  我的特殊帖找不到入口的问题
FIX  区分系统提醒，方便给消息中心过滤

FIX  还原EA的缓存数据清理功能
FIX  后台卸载任意模板，其它模板的名称丢失
FIX  个人空间无法DIY问题
FIX  格式化快速发帖、回复提交按钮旁的 radio
FIX  防水墙：分类信息内容单独字段上报，cookie 上报相隔 12 小时

FIX  错误登录记录失效问题
FIX  修正header的方式通过showmessage实现，否则防水墙无法确认到
FIX  邮箱修改的问题,验证时修改UC和本地数据
FIX  支持批量，临时修改下载地址
FIX  修正引用回复在 Chrome 下的 BUG（受图片延时加载功能的影响）

FIX  后台管理团队开启允许导航设置的问题
FIX  增强exif信息读取
FIX  修正广播“删除”按钮在 IE8 下的 BUG
FIX  弹窗回复和快速回复统一，默认显示签名
FIX  门户文章回复没有ip

FIX  修正签名栏丢失的BUG
FIX  道具回收按当前折扣价计算
FIX  纵横搜索更新版本号
FIX  修正DIY 模块模板 [order=N]...[/order] 输出错误问题
FIX  截止目前发现的安全问题

+======================================+
   Discuz! X2.5 正式版 20120518
+======================================+
FIX  未读醒读取数量提升到200个
FIX  修改版本号和安全补丁号
FIX  纵横搜索带中文链接进行rawurlencode处理
FIX  添加缺失的语言包
FIX  防水墙：删除贴的触发点，去掉 formhash 的判断

FIX  修正帖子审核走统计的函数，便于帖子状态上传给云平台
FIX  删除多余的HTML标签
FIX  纵横搜索相关帖对来源tid进行dintval处理
FIX  回帖置顶通知作者无效的问题
FIX  增加检查关注状态查询

FIX  远程cron调用失效的问题，增加init_db开关，使init()可重复执行
FIX  群组搜索读取版块名bug
FIX  修正RW后标题后的RW错误BUG
FIX  个人空间广播页面不同步DIY风格显示的问题
FIX  api下uc.php无法获取指定用户积分的问题

ADD 密码偿试次数限制修改回原来的验证模式
FIX  栏目显示顺序修改后，在个人设置资料页里不变的问题
FIX  QQ互联：增加错误码提示
FIX  修复回帖仅作者可见问题
FIX  修正正模块模板只允许index[0-9]的BUG

FIX  内存缓存查看bug
FIX  链接中热门话题词进行urlencode，x2相关帖指定GBK编码
FIX  支付宝增加新的参数extend_param
FIX  修正由于底层产生handlekey空下标造成支付宝错误
FIX  禁止在archiver下输出Discuz Tips

FIX  修正远程附件裁切BUG
FIX  隐藏广播版块的入口
FIX  修正通出邮件发送注册链接时直接通过邮箱验证
FIX  修正提取SQL造成的BUG
FIX  删除由于底层版本数据写错误引起的BUG

FIX  X2.5 -> 将 CSS 文件中的双引号改为单引号，防止生成缓存时转义，导致浏览器不可
FIX  修正统计数据插件错误的BUG
FIX  相册连接错误
FIX  增加回复楼层的通知类型
FIX  用户自删主题时不清审核表

FIX  开启注册人工审核,拒绝后，无法再次提交！找不到提交页面. 
FIX  后台集成的rewrite规则的问题
FIX  清理每日用户数据时内存缓存失效的问题
FIX  ajax cookie 上报问题
FIX  纵横搜索修正获取热门话题词失败或空时不断请求云平台

FIX  重置用户精华帖数错误
FIX  密码强度提示逻辑及语言包
FIX  用户表优化，在用户表小于2万数据量时不进行优化提示
FIX  通过UC修改用户名缓存不同步的问题

+======================================+
   Discuz! X2.5 正式版 20120427
+======================================+
FIX  抛出云平台的异常信息
FIX  修复QQ互联消息中心bug
FIX  QQ互联消息中心批量手机通知接口修改
FIX  QQ互联修复升级时表名匹配错误
FIX  禁止上报任务的提醒

FIX  修正消息上报接口
FIX  增加发送手机通知的接口
FIX  base64_transform()兼容性问题
FIX  X2.5 广播 -> 其他配色下的广播页面
FIX  优化升级提示

FIX  云平台绑定手机用户Token
FIX  X2.5 帖子 -> 修正帖子 <i> 斜体 BUG
FIX  修改消息中心上报内容，同时上报手机串码
FIX  IE8下面数据有一个多余函数contain导致for (i in obj)有问题
FIX  腾讯分析插件版本号更新

FIX  模块指定版块时不添加最大聚合ID的条件
FIX  后台管理团队权限问题，编辑团队成员去除权限无效
FIX  调整 参与模块聚合数据条数无最大值限制，0为关闭此功能
FIX  全局→站点功能→帖子点评→点评方式 开启后不能关闭！
FIX  群组讨论区页面无法DIY

FIX  完善判断是否可以访问应用中心
FIX  匿名发帖时不产生空间动态
FIX  修正远程附件地址错误
FIX  修正远程附件如果同时设置允许上传与不允许上传的类型
FIX  腾讯分析上报JS使用 common 钩子

FIX  修正默认论坛图片地址错误的BUG
FIX  删除时判断是否有推荐群组，有则删除掉
FIX  用户分表后，好友列表显示错误
FIX  兼容1.5升级  replycredit字段不存在和common_moderate表不存在的问题
FIX  调整扩展表处理，以免扩展表中没有对应数据导致脏数据覆盖

FIX  防水墙：增加计划任务优化failedlog表
FIX  FIX 模块推送库数据表分页功能失效的问题
FIX  隐藏附件不在广播中展示
FIX  关闭记录时隐藏发心情的表单
FIX  超级版主 审核用户无效，提交通过后，用户还是未通过状态。

FIX  分类信息联动，diy调用的时候显示乱码
FIX  修正当关闭图片上传时，不显示上传按钮
FIX  工具-更新统计-重建论坛帖数这里在分表的时候可能出现版块帖数翻倍的情况
FIX  使用stream_get_contents函数，修复某些环境下获取数据不完整的情况 
FIX  FIX 模块修改屏蔽数据ID时导致屏蔽的数据失效的问题

FIX  修复上级版主向下继承时的bug
FIX  FIX 无法删除用户存档表中数据
FIX  非管理员禁止访问广播版块页面
FIX  QQ互联QQ秀在他人空间显示浏览者的QQ秀bug修复

+======================================+
   Discuz! X2.5 正式版 20120413
+======================================+
FIX  应用Feed中，即使没有好友，也允许点击标签，引导添加好友去
FIX  只有有新提醒时才上报
FIX  删除无用的钩子
FIX  群组管理审批申请用户点击全部忽略、全部通过时的问题
FIX  审核主题帖子通过后，再编辑重复审核加分问题

FIX   模块的推送数据无法删除的问题
FIX   模块和模板的对应关系
FIX  防水墙：修复默认表前缀的问题
FIX   幻灯模块在二次编辑模块属性时页面DOM中不显示内容
FIX  分类群组数更新bug

FIX  启用了远程附件，推送主题时，附件图片不显示
FIX   DIY模块模板中使用图片时获取普通数据和带图片数据，只有在模块属性中选择过滤带FIX  图片数据时才只获取带图片数据
FIX  后台标签管理 第一页总是读取全部数据
FIX  广告嵌入点显示重复

FIX  纵横搜索首页热门话题样式修改
FIX  纵横搜索插件模板改成论坛自带样式
FIX  纵横搜索install.php对原有设置进行保留
FIX  纵横搜索部分代码增加判断搜索参数非空

FIX  发布日志中使用远程附件，用户组禁止发布URL的问题。
FIX  修正手机发帖标识在 IE6/7 下的 BUG
FIX   某些图片缩到最小后想放大滚动鼠标无效的问题
FIX  审核通过的相册，重新上传图片时，编辑图片绕过审核 的BUG 
FIX  门户管理 -> 侧边导航结构有误

FIX  用户资料审核中能看到认证数据的BUG
FIX  callmethod 日志，注释状态代码
FIX  避免大文件下载失败
FIX  home.php页面 新加入会员 时间鼠标移上去出现解析不全
FIX   分类信息的模板中textarea标签中的内容

FIX  checkbox也需要文字检索重新整理
FIX  分类信息 字符类型在帖子内容中不显示
FIX  纵横搜索修正取消高亮未进行更新帖子状态
FIX  云平台插件xml文件里面的 Discuz! version
FIX  纵横搜索插件修改table类名以免冲突

FIX  门户频道模板名称的正确获取
FIX  认证管理中导出用户无内容的BUG
FIX  站长推荐有删除或不启用时, 出现JS错误
FIX  个人空间DIY功能

+======================================+
   Discuz! X2.5 正式版 20120407
+======================================+
大幅度调整代码结构，有效提升程序整体负载能力
内置应用中心，添加删减插件和模板随心所欲
更多互动功能，增添社区活力
丰富的云功能扩展，助力站长专注社区运营
百余项功能改进，让会员和站长使用体验大幅提升

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
Discuz! X1.5
Discuz! X2